Loading...
Searching...
No Matches
persistenceManager.h File Reference
`#include <BALL/COMMON/rtti.h>`
`#include <BALL/DATATYPE/hashMap.h>`
`#include <BALL/DATATYPE/stringHashMap.h>`
`#include <BALL/DATATYPE/hashSet.h>`
`#include <BALL/CONCEPT/persistentObject.h>`
`#include <BALL/COMMON/global.h>`
`#include <fstream>`
`#include <iomanip>`
`#include <boost/shared_ptr.hpp>`
`#include <BALL/CONCEPT/persistenceManager.iC>`

Go to the source code of this file.

## Classes

class | BALL::PersistenceManager

## Namespaces

namespace | BALL

## Macros

#define | BALL_WRITE_PRIMITIVE_MEMBER(pm, x)
#define | BALL_READ_PRIMITIVE_MEMBER(pm, x)

## Macro Definition Documentation

## BALL_READ_PRIMITIVE_MEMBER

#define BALL_READ_PRIMITIVE_MEMBER | ( |  | pm,
|  |  | x )

Value:
pm.readPrimitive(x,#x)

Definition at line 38 of file persistenceManager.h.

## BALL_WRITE_PRIMITIVE_MEMBER

#define BALL_WRITE_PRIMITIVE_MEMBER | ( |  | pm,
|  |  | x )

Value:
pm.writePrimitive(x,#x)

Definition at line 37 of file persistenceManager.h.